Subject: bug#23766: 25.0.95; crashes on Mac OS X 10.6.8. Snow Leopard

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Jun 2016 05:37:05 +0300

> From: Peter Dyballa <[email-masked]>
> Date: Mon, 13 Jun 2016 23:18:50 +0200
> 
> When I'm launching GNU Emacs 25.0.95 with the same options as GNU Emacs 25.0.50 it crashes with
> 
> 	lisp.h:1539: Emacs fatal error: assertion failed: 0 <= size

This means some code called from GC uses ASIZE instead of gc_asize.

> In GDB I set
> 
> 	set args "-xrm 'Emacs*iconName: TeX Live-2015' -T 'TeX Live [email-masked]' -geometry 133x75+1111+81 --debug-init -fn 'Lucida Sans Typewriter:autohint=true:antialias=true:size=9'"
> 
> and run it. After much output about missing debug information in packages GNU Emacs uses I get:
> 
> . done
> Reading symbols for shared libraries . done
> 
> Program received signal EXC_BAD_ACCESS, Could not access memory.
> Reason: KERN_INVALID_ADDRESS at address: 0x00000000000048b0
> 0x00000001012547da in FT_Done_Size ()
> (gdb) bt full
> #0  0x00000001012547da in FT_Done_Size ()
> No symbol table info available.
> #1  0x00000001002cd613 in ftcrfont_close ()
> No symbol table info available.

Sounds like a different problem, and it's hard to say anything without
information about the data involved in this crash.  Please compile
with debugging and show more data about both problems.